---
title: MySqlConnection.BeginTransaction methods
---

# MySqlConnection.BeginTransaction method (1 of 3)

Begins a database transaction.

```csharp
public MySqlTransaction BeginTransaction()
```

## Return Value

A [`MySqlTransaction`](../../MySqlTransactionType/) representing the new database transaction.

## Remarks

Transactions may not be nested.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlConnection.BeginTransaction method (2 of 3)

Begins a database transaction.

```csharp
public MySqlTransaction BeginTransaction(IsolationLevel isolationLevel)
```

| parameter | description |
| --- | --- |
| isolationLevel | The IsolationLevel for the transaction. |

## Return Value

A [`MySqlTransaction`](../../MySqlTransactionType/) representing the new database transaction.

## Remarks

Transactions may not be nested.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlConnection.BeginTransaction method (3 of 3)

Begins a database transaction.

```csharp
public MySqlTransaction BeginTransaction(IsolationLevel isolationLevel, bool isReadOnly)
```

| parameter | description |
| --- | --- |
| isolationLevel | The IsolationLevel for the transaction. |
| isReadOnly | If `true`, changes to tables used in the transaction are prohibited; otherwise, they are permitted. |

## Return Value

A [`MySqlTransaction`](../../MySqlTransactionType/) representing the new database transaction.

## Remarks

Transactions may not be nested.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
